classification
Title: .gitignore is outdated
Type: Stage:
Components: Build Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, georg.brandl, mcepl, petri.lehtinen, python-dev, tomspur
Priority: normal Keywords: patch

Created on 2012-04-02 10:20 by mcepl, last changed 2012-05-22 18:13 by petri.lehtinen. This issue is now closed.

Files
File name Uploaded Description Edit
_gitignore.patch mcepl, 2012-04-02 10:20 suggested patch
Messages (10)
msg157346 - (view) Author: Matej Cepl (mcepl) * Date: 2012-04-02 10:20
Patch for the port of .hgignore to .gitignore is attached
msg157347 - (view) Author: Thomas Spura (tomspur) Date: 2012-04-02 10:52
AFAIK hg supports symlinks.

Why not just symlink .gitignore to .hgignore and keep .hgignore up to date?

But in this case "$" and "^" need to be avoided, e.g. this doesn't work for git:
Makefile$
Makefile.pre$
msg157354 - (view) Author: Matej Cepl (mcepl) * Date: 2012-04-02 12:34
Right ... .gitignore doesn't support regexeps (they are not needed IMHO here, but that's another point).
msg157371 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-04-02 17:57
Symlinks don't work well on Windows.  I think a comment in .hgignore asking to update the other two ignores as well is the best solution.
msg161105 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-05-19 10:25
Against which branch or Python version your patch is? It doesn't apply cleanly on any branch (and yes, I changed the target filename to .gitignore first).
msg161164 - (view) Author: Matej Cepl (mcepl) * Date: 2012-05-19 21:26
On 19.5.2012 12:25, Petri Lehtinen wrote:
> Against which branch or Python version your patch is? It doesn't
> apply cleanly on any branch (and yes, I changed the target filename
> to .gitignore first).

It used to be master, but probably some time ago.

Matěj
msg161165 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-19 21:32
I’m afraid “master” has no meaning with a Mercurial repo.  Anyway we can still use your patch to update .gitignore, thanks!
msg161365 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-22 17:52
New changeset fb5da2a5d9da by Petri Lehtinen in branch 'default':
#14472: Update .gitignore
http://hg.python.org/cpython/rev/fb5da2a5d9da
msg161366 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-22 18:07
New changeset 8652dd5c2a14 by Petri Lehtinen in branch '3.2':
#14472: Update .gitignore
http://hg.python.org/cpython/rev/8652dd5c2a14
msg161367 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-05-22 18:13
Fixed in default and 3.2 branches, which are quite similar. Thanks for the patch!

Closing now. Feel free to reopen if you want to provide a patch for the 2.7 branch, too.
History
Date User Action Args
2012-05-22 18:13:06petri.lehtinensetstatus: open -> closed
resolution: fixed
messages: + msg161367

versions: + Python 3.2, Python 3.3
2012-05-22 18:07:54python-devsetmessages: + msg161366
2012-05-22 17:52:40python-devsetnosy: + python-dev
messages: + msg161365
2012-05-19 21:32:38eric.araujosetnosy: + eric.araujo
messages: + msg161165
2012-05-19 21:26:37mceplsetmessages: + msg161164
2012-05-19 10:25:34petri.lehtinensetmessages: + msg161105
2012-05-18 12:53:22petri.lehtinensetnosy: + petri.lehtinen
2012-04-02 17:57:33georg.brandlsetnosy: + georg.brandl
messages: + msg157371
2012-04-02 12:34:39mceplsetmessages: + msg157354
2012-04-02 10:52:12tomspursetnosy: + tomspur
messages: + msg157347
2012-04-02 10:20:42mceplcreate